Subject: bug#11381: 23.3; isearch-search-and-update issue?

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 May 2012 09:08:20 -0400

> Looking at how this page presents 12 ways to invent the wheel,
> the question arises: why not help people with some basic functionality
> in isearch.el that could be used to build commands that will
> work reliably and without such problems as reported by this bug report.

Sounds like a good idea.  To solve nb 3 (i.e. searching for a symbol),
all that's needed is to set isearch-search-fun-function, so the
mechanism is there.

The problem is that it's clunky to use because you can't just let-bind
that variable around the call to isearch-forward.  So one thing we
(c|sh)ould provide is a general way to "run isearch with the following
vars temporarily bound to these values".
Maybe simply a new function that runs isearch in a recursive-edit would
be all that's needed (so you can let-bind the vars around the call to
that function).

        Stefan